Self-serve contractor payments
Self Serve Delete Contractor Invites
Bulk-cancels PENDING or EXPIRED contractor invites by setting status CANCELLED.
POSThttps://api.toku.com/hris/self-serve-delete-contractor-invites
Not available to API keys yet. It will need people:write.
curl --request POST \
--url 'https://api.toku.com/hris/self-serve-delete-contractor-invites' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"inviteIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}'200 response
{
"success": true,
"count": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
inviteIdsstring<uuid>[]requiredAllowed: at least 1 items
Response
200Successful response
successbooleanrequiredcountintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits